TESTING/MATGEN/clakf2.f(3)

NAME
TESTING/MATGEN/clakf2.f

SYNOPSIS

  Functions/Subroutines
subroutine clakf2 (m, n, a, lda, b, d, e, z, ldz)
CLAKF2

Function/Subroutine Documentation

  subroutine clakf2 (integer m, integer n, complex, dimension( lda, * ) a, integer lda, complex, dimension( lda, * ) b, complex, dimension( lda, * ) d, complex, dimension( lda, * ) e, complex, dimension( ldz, * ) z, integer ldz)

CLAKF2

Purpose:

     Form the 2*M*N by 2*M*N matrix
            Z = [ kron(In, A)  -kron(B', Im) ]
                [ kron(In, D)  -kron(E', Im) ],
     where In is the identity matrix of size n and X' is the transpose
     of X. kron(X, Y) is the Kronecker product between the matrices X
     and Y.

Parameters
    M

              M is INTEGER
              Size of matrix, must be >= 1.

    N

              N is INTEGER
              Size of matrix, must be >= 1.

    A

              A is COMPLEX, dimension ( LDA, M )
              The matrix A in the output matrix Z.

    LDA

              LDA is INTEGER
              The leading dimension of A, B, D, and E. ( LDA >= M+N )

    B

              B is COMPLEX, dimension ( LDA, N )

    D

              D is COMPLEX, dimension ( LDA, M )

    E

              E is COMPLEX, dimension ( LDA, N )
              The matrices used in forming the output matrix Z.

    Z

              Z is COMPLEX, dimension ( LDZ, 2*M*N )
              The resultant Kronecker M*N*2 by M*N*2 matrix (see above.)

    LDZ

              LDZ is INTEGER
              The leading dimension of Z. ( LDZ >= 2*M*N )

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 104 of file clakf2.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.